org.apache.tools.ant.taskdefs.optional.junit

## Class BriefJUnitResultFormatter

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junit.BriefJUnitResultFormatter

- All Implemented Interfaces:
    junit.framework.TestListener, JUnitResultFormatter, JUnitTaskMirror.JUnitResultFormatterMirror

      public class BriefJUnitResultFormatter
      extends java.lang.Object
      implements JUnitResultFormatter

  Prints plain text output of the test to a specified Writer. Inspired by the PlainJUnitResultFormatter.
  See Also:
    `FormatterElement`, `PlainJUnitResultFormatter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BriefJUnitResultFormatter()` Constructor for BriefJUnitResultFormatter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addError(junit.framework.Test test, java.lang.Throwable error)` A test caused an error.
    `void` | `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)` Interface TestListener for JUnit > 3.4.
    `void` | `addFailure(junit.framework.Test test, java.lang.Throwable t)` Interface TestListener for JUnit <= 3.4.
    `void` | `endTest(junit.framework.Test test)` A test ended.
    `void` | `endTestSuite(JUnitTest suite)` The whole testsuite ended.
    `protected void` | `formatError(java.lang.String type, junit.framework.Test test, java.lang.Throwable error)` Format an error and print it.
    `protected java.lang.String` | `formatTest(junit.framework.Test test)` Format the test for printing..
    `void` | `setOutput(java.io.OutputStream out)` Sets the stream the formatter is supposed to write its results to.
    `void` | `setSystemError(java.lang.String err)` This is what the test has written to System.err
    `void` | `setSystemOutput(java.lang.String out)` This is what the test has written to System.out
    `void` | `startTest(junit.framework.Test test)` A test started.
    `void` | `startTestSuite(JUnitTest suite)` The whole testsuite started.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BriefJUnitResultFormatter

          public BriefJUnitResultFormatter()

      Constructor for BriefJUnitResultFormatter.

  - ### Method Detail

    - #### setOutput

          public void setOutput(java.io.OutputStream out)

      Sets the stream the formatter is supposed to write its results to.
      Specified by:
        `setOutput` in interface `JUnitResultFormatter`
      Specified by:
        `setOutput` in interface `JUnitTaskMirror.JUnitResultFormatterMirror`
      Parameters:
        `out` - the output stream to write to

    - #### setSystemOutput

          public void setSystemOutput(java.lang.String out)

      This is what the test has written to System.out.
      Specified by:
        `setSystemOutput` in interface `JUnitResultFormatter`
      Parameters:
        `out` - the string to write.

    - #### setSystemError

          public void setSystemError(java.lang.String err)

      This is what the test has written to System.err.
      Specified by:
        `setSystemError` in interface `JUnitResultFormatter`
      Parameters:
        `err` - the string to write.

    - #### startTestSuite

          public void startTestSuite(JUnitTest suite)

      The whole testsuite started.
      Specified by:
        `startTestSuite` in interface `JUnitResultFormatter`
      Parameters:
        `suite` - the test suite

    - #### endTestSuite

          public void endTestSuite(JUnitTest suite)

      The whole testsuite ended.
      Specified by:
        `endTestSuite` in interface `JUnitResultFormatter`
      Parameters:
        `suite` - the test suite

    - #### startTest

          public void startTest(junit.framework.Test test)

      A test started.
      Specified by:
        `startTest` in interface `junit.framework.TestListener`
      Parameters:
        `test` - a test

    - #### endTest

          public void endTest(junit.framework.Test test)

      A test ended.
      Specified by:
        `endTest` in interface `junit.framework.TestListener`
      Parameters:
        `test` - a test

    - #### addFailure

          public void addFailure(junit.framework.Test test,
                        java.lang.Throwable t)

      Interface TestListener for JUnit <= 3.4.

      A Test failed.

      Parameters:
        `test` - a test
        `t` - the exception thrown by the test

    - #### addFailure

          public void addFailure(junit.framework.Test test,
                        junit.framework.AssertionFailedError t)

      Interface TestListener for JUnit > 3.4.

      A Test failed.

      Specified by:
        `addFailure` in interface `junit.framework.TestListener`
      Parameters:
        `test` - a test
        `t` - the assertion failed by the test

    - #### addError

          public void addError(junit.framework.Test test,
                      java.lang.Throwable error)

      A test caused an error.
      Specified by:
        `addError` in interface `junit.framework.TestListener`
      Parameters:
        `test` - a test
        `error` - the error thrown by the test

    - #### formatTest

          protected java.lang.String formatTest(junit.framework.Test test)

      Format the test for printing..
      Parameters:
        `test` - a test
      Returns:
        the formatted testname

    - #### formatError

          protected void formatError(java.lang.String type,
                         junit.framework.Test test,
                         java.lang.Throwable error)

      Format an error and print it.
      Parameters:
        `type` - the type of error
        `test` - the test that failed
        `error` - the exception that the test threw